<div class="prx-wrapper">

    <h1>Cheat sheet : Proxicons</h1>
    <div class="prx-learning-block__article">

        <h2>Guidelines</h2>

        <p>Normal usage of the proxicons with the icon-font is thru the use an html element with <strong>class: "proxicon-*" </strong>.

            <br> Then you can lookup the suffix to replace the * to set the icon of your choice.</p>

        <p>
            So for example if you want icon Products the code could be:
            <br>
            <br>
            <code>&lt;span class="proxicon-Products"&gt;&lt;/span&gt;</code>
            <span class="proxicon-Products"></span>
        </p>
    </div>
    <div class="prx-learning-block__section">
        <h2>Icon font size and size modifier</h2>
        <div class="">The icon takes by default the font size of the context it is used in.</div>
        <div class="">So in a h1 it takes the font size of the h1 and in a paragraph the font-size of the paragraph:</div>
        <br>
        <br>
        <div class="">For example:&nbsp;</div>
        <div>
            <pre style="font-size:11px;"> &lt;h1&gt; &lt;span class="proxicon-Products"&gt;&lt;/span&gt; H1 Title with icon&lt;/h1&gt;</pre>
            <h1><span class="proxicon-Products"></span>&nbsp;H1 Title with icons</h1>
        </div>
        <div>
            <pre style="font-size:11px;"> &lt;p&gt; &lt;span class="proxicon-Products"&gt;&lt;/span&gt; paragraph with icon&lt;/p&gt;</pre>

            <p><span class="proxicon-Products"></span>&nbsp;paragraph with icons</p>
        </div>
        <p>&nbsp;</p>
        <p>&nbsp;</p>

        <div class="">But you can use 3 modifiers to make the font relatively bigger :</div>
        <div class=""><strong>prx-large, prx-xl, prx-xxl</strong></div>
        <p class=""></p>


        <pre style="font-size:11px;">&lt;span class="proxicon-Products prx-large"&gt;&lt;/span&gt;</pre><span class="proxicon-Products prx-large"></span>

        <pre style="font-size:11px;">&lt;span class="proxicon-Products prx-xl"&gt;&lt;/span&gt;</pre><span class="proxicon-Products prx-xl"></span>

        <pre style="font-size:11px;">&lt;span class="proxicon-Products prx-xxl"&gt;&lt;/span&gt;</pre><span class="proxicon-Products prx-xxl"></span>



    </div>
    <div class="prx-learning-block__section">
        <h2>List proxicon font icons</h2> Copy and paste this html in the Jive html editor.

        <h3>Icons overview</h3>

        <div class="demo-wrapper" style="font-size:1.5em">
            <ul class="demo-list">
                {{#each proxiconsSvg.svgs}}
                <li class="demo-icon-block">
                    <span class="proxicon-{{this}}"></span> proxicon-{{this}}
                    <br>
                    <pre style="font-size:11px;">&lt;span class="proxicon-{{this}}"&gt;&lt;/span&gt;</pre> {{/each}}
                </li>
            </ul>
        </div>
    </div>

</div>